#!/usr/bin/env pwsh
choco install nexus-repository -y

$tempPw = (Get-Content C:\ProgramData\sonatype-work\nexus3\admin.password).ToString()
$repo = "choco"


# Open the firewall
netsh advfirewall firewall add rule name="Nexus" dir=in action=allow protocol=TCP localport=8081

# Nexus disables scripts by default. This will open it up.
Write-Output "nexus.scripts.allowCreation=true" | Out-File C:\ProgramData\sonatype-work\nexus3\etc\nexus.properties -Encoding Ascii -Force

Restart-Service Nexus
Start-Sleep -Seconds 60

### INSTALL CHOCO REPO ###
choco install chocolatey-nexus-repo --version 1.0.0 --params="'/username=admin /password=$tempPw /repositoryname=$repo'"

# Puppet Task Name: task_windows
#
# This is where you put the shell code for your task.
#
# You can write Puppet tasks in any language you want and it's easy to
# adapt an existing Python, PowerShell, Ruby, etc. script. Learn more at:
# https://puppet.com/docs/bolt/0.x/writing_tasks.html
#
# Puppet tasks make it easy for you to enable others to use your script. Tasks
# describe what it does, explains parameters and which are required or optional,
# as well as validates parameter type. For examples, if parameter "instances"
# must be an integer and the optional "datacenter" parameter must be one of
# portland, sydney, belfast or singapore then the .json file
# would include:
#   "parameters": {
#     "instances": {
#       "description": "Number of instances to create",
#       "type": "Integer"
#     },
#     "datacenter": {
#       "description": "Datacenter where instances will be created",
#       "type": "Enum[portland, sydney, belfast, singapore]"
#     }
#   }
# Learn more at: https://puppet.com/docs/bolt/0.x/writing_tasks.html#ariaid-title11
#
